clang 8.0.0

Classes | Macros | Functions | Variables
Types.cpp File Reference
`#include "clang/Driver/Types.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/StringSwitch.h"`
`#include <cassert>`
`#include <string.h>`
`#include "clang/Driver/Types.def"`
Include dependency graph for Types.cpp:

Go to the source code of this file.

## Classes
struct | TypeInfo

## Macros
#define | TYPE(NAME, ID, PP_TYPE, TEMP_SUFFIX, FLAGS) { NAME, FLAGS, TEMP_SUFFIX, TY_##PP_TYPE, },

## Functions
static const TypeInfo & | getInfo (unsigned id)

## Variables
static const TypeInfo | TypeInfos []
static const unsigned | numTypes = llvm::array_lengthof(TypeInfos)

## Macro Definition Documentation

## ◆ TYPE

#define TYPE | ( |  | NAME,
|  |  | ID,
|  |  | PP_TYPE,
|  |  | TEMP_SUFFIX,
|  |  | FLAGS
| ) |  | { NAME, FLAGS, TEMP_SUFFIX, TY_##PP_TYPE, },

## Function Documentation

## ◆ getInfo()

static const TypeInfo& getInfo | ( | unsigned | id | ) |
| static

Definition at line 34 of file Types.cpp.

References numTypes.

Referenced by clang::driver::types::appendSuffixForType(), clang::driver::types::canTypeBeUserSpecified(), clang::consumed::ConsumedBlockInfo::ConsumedBlockInfo(), clang::CodeGen::LoopInfoStack::getCurLoopID(), clang::CodeGen::LoopInfoStack::getCurLoopParallel(), clang::driver::types::getPrecompiledType(), clang::driver::types::getPreprocessedType(), clang::driver::types::getTypeName(), clang::driver::types::getTypeTempSuffix(), clang::CodeGen::LoopInfoStack::InsertHelper(), clang::driver::types::onlyAssembleType(), clang::driver::types::onlyPrecompileType(), clang::CodeGen::LoopInfoStack::setPipelineInitiationInterval(), and clang::consumed::ConsumedStmtVisitor::VisitCXXOperatorCallExpr().

## Variable Documentation

## ◆ numTypes

const unsigned numTypes = llvm::array_lengthof(TypeInfos)
| static

Definition at line 32 of file Types.cpp.

Referenced by getInfo().

## ◆ TypeInfos

const TypeInfo TypeInfos[]
| static

Initial value:
= {
#define TYPE(NAME, ID, PP_TYPE, TEMP_SUFFIX, FLAGS)
}

Definition at line 26 of file Types.cpp.